org.apache.ignite.compute

## Enum ComputeTaskSessionScope

- java.lang.Object
- - java.lang.Enum<ComputeTaskSessionScope>
  - - org.apache.ignite.compute.ComputeTaskSessionScope

All Implemented Interfaces:
  Serializable, Comparable<ComputeTaskSessionScope>

    public enum ComputeTaskSessionScope
    extends Enum<ComputeTaskSessionScope>

Defines life-time scopes for checkpoint operations. Such operations include:

- `ComputeTaskSession.saveCheckpoint(String, Object, ComputeTaskSessionScope, long)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GLOBAL_SCOPE` Data saved with this scope will only be removed automatically if they time out and time out is supported.
`SESSION_SCOPE` Data saved with this scope will be automatically removed once the task session is completed (i.e. execution of the task is completed) or when they time out.

### Method Summary

Methods
`static ComputeTaskSessionScope` `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
`static ComputeTaskSessionScope` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComputeTaskSessionScope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SESSION_SCOPE

    public static final ComputeTaskSessionScope SESSION_SCOPE

Data saved with this scope will be automatically removed once the task session is completed (i.e. execution of the task is completed) or when they time out. This is the most often used scope for checkpoints and swap space. It provides behavior for use case when jobs can failover on other nodes within the same session and thus checkpoints or data saved to swap space should be preserved for the duration of the entire session.

#### GLOBAL_SCOPE

    public static final ComputeTaskSessionScope GLOBAL_SCOPE

Data saved with this scope will only be removed automatically if they time out and time out is supported. Currently, only checkpoints support timeouts. Any data, however, can always be removed programmatically via methods on `ComputeTaskSession` interface.

### Method Detail

#### values

    public static ComputeTaskSessionScope[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ComputeTaskSessionScope c : ComputeTaskSessionScope.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ComputeTaskSessionScope valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static ComputeTaskSessionScope fromOrdinal(byte ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017